/* Variables CSS pour les couleurs et valeurs communes */
:root {
  --primary-color: #002233;
  --secondary-color: #f39c12;
  --text-color: #0b0b0b;
  --white-color: #ffffff;
  --border-color: rgba(47, 45, 45, 0.332);
  --nav-height: 80px;
  --border-radius-sm: 5px;
  --border-radius-md: 7px;
  --border-radius-lg: 10px;
  --border-radius-xl: 20px;
}

/* Reset et styles de base */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Styles de la barre de navigation */
nav {
  display: flex !important;
  align-items: center !important;
  justify-content: space-around !important;
  height: var(--nav-height);
  max-height: var(--nav-height);
  min-height: var(--nav-height);
  border-bottom: 1px solid rgb(215, 215, 215);
  background-color: #fffffff7;
  position: sticky;
  width: 100%;
  top: 0;
  z-index: 20;
  list-style: none;
  text-decoration: none;
}

nav .logo img {
  width: 110px;
  height: 100px;
  object-fit: cover;
}
nav .box11 {
  display: flex;
  align-items: center;
  justify-content: center;
}
nav .box11 a {
  color: #0b0b0b;
  font-size: 16px;
  font-weight: 600;
}
nav .box1 .cacheMenu {
  height: 25px;
  width: 25px;
  display: none;
}
nav .container-nav .menu {
  display: none;
}
nav .container-nav {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
nav .box1 {
  display: flex;
  align-items: center;
  justify-content: center;
}

#navigation {
  display: none;
}
nav .box1 a {
  color: var(--text-color);
  font-weight: 500;
  display: block;
  margin: 0 5px;
  transition: all 0.3s ease-out;
  padding: 0px 7px;
  font-size: 14.5px;
  text-decoration: none;
  border-right: 1px solid var(--primary-color);
}

nav .box1 a:hover {
  background-color: var(--primary-color);
  color: var(--white-color);
}

nav #box2 {
  display: flex;
  align-items: center;
  justify-content: center;
}

nav #box2 #submit {
  display: none;
}

nav #box2 input {
  height: 30px;
  width: 330px;
  border-top-left-radius: var(--border-radius-xl);
  border-bottom-left-radius: var(--border-radius-xl);
  border: 1px solid var(--border-color);
  padding: 7px 15px;
  font-size: 16px;
  outline: none;
  transition: all 0.3s;
}
nav #box2 input:hover {
  border: 2px solid var(--primary-color);
  box-shadow: 0 0 7px 2px var(--primary-color);
}
nav #box2 form {
  display: flex;
  align-items: center;
  justify-content: center;
}
nav #box2 form .bo- {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  height: 30px;
  width: 50px;
}
nav #box2 form #label {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 50%;
  width: 100%;
  transform: translate(-50%, -50%);
  background-color: #000000;
  /* height: 40px;
    padding: 10px; */
  border-top-right-radius: var(--border-radius-xl);
  border-bottom-right-radius: var(--border-radius-xl);
  border: 1px solid var(--border-color);
  border-left: none;
}
nav #box2 form #label img {
  height: 30px;
  width: 30px;
}

nav .box3 {
  display: flex;
  align-items: center;
  justify-content: center;
}

nav .box4 {
  display: flex;
  align-items: center;
  justify-content: center;
}

nav .box4 .infos_users {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  width: 200px;
  position: relative;
}

nav .box4 .infos_users p {
  margin-left: 5px;
  text-align: center;
}

nav .box_info {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: var(--white-color);
  position: absolute;
  top: -720px;
  z-index: 22;
  right: 15px;
  transition: all 0.5s ease;
  border-radius: var(--border-radius-lg);
  border: 1px solid rgba(64, 64, 64, 0.299);
  width: 280px;
  padding: 30px 20px;
}

nav .box_info table {
  border-collapse: collapse;
  margin-top: 20px;
}

nav .box_info .del {
  position: absolute;
  top: 15px;
  right: 15px;
  height: 25px;
  width: 25px;
  cursor: pointer;
}

nav .box_info table th {
  padding: 10px 20px;
  text-align: left;
  width: 90px;
  font-size: 12px;
}
nav .box_info table td {
  padding: 10px 20px;
  text-align: left;
  width: 180px;
  min-width: 180px;
  max-width: 180px;
  word-wrap: break-word;
  font-size: 12px;
}

nav .box_info a {
  padding: 4px 13px;
  color: #ffffff;
  background-color: #0671dcea;
  border-radius: 8px;
  display: block;
  margin-top: 10px;
  font-size: 13px;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}
nav .box_info .dconn {
  background-color: #f33b0d;
}
nav .box_info a:hover {
  background-color: #002233;
  transform: scale(1.03);
}

nav .box4 p {
  color: var(--text-color);
  font-size: 18px;
  margin-right: 10px;
  text-transform: capitalize;
  font-weight: 500;
}
nav .box4 img {
  height: 60px;
  width: 60px;
  object-fit: cover;
  border-radius: 50%;
}

nav .not {
  cursor: pointer;
  position: relative;
}
nav .not span {
  position: absolute;
  right: 0;
  top: 0;
  padding: 2px 6px;
  font-size: 12px;
  background-color: red;
  color: var(--white-color);
  border-radius: 50%;
}
nav .not .notif {
  width: 30px;
  height: 30px;
  margin: 0 10px;
}

nav .box_notif {
  width: 300px;
  padding: 30px 20px;
  border-radius: 10px;
  position: absolute;
  background-color: #f8f8f8;
  border: 1.5px solid #c4c3c3;
  transition: all 0.3s ease-in-out;
  top: -300px;
  right: 30px;
  z-index: 21;
}
nav .box_notif .croi {
  position: absolute;
  top: 5px;
  right: 10px;
  width: 20px;
  height: 20px;
  cursor: pointer;
}
nav .box_notif a {
  text-decoration: none;
}
nav .box_notif .item:hover {
  background-color: #f39d1249;
}
nav .box_notif .item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  background-color: #d9d9d9;
  padding: 10px 5px;
  border-radius: 10px;
  cursor: pointer;
  transition: all 0.3s;
}
nav .box_notif .item img {
  width: 20px;
  height: 20px;
  margin-right: 15px;
}
nav .box_notif .item p {
  font-size: 13px;
}
nav .box_notif .item p span {
  color: red;
  font-weight: bold;
}

nav .box_info img {
  height: 60px;
  width: 60px;
  object-fit: cover;
  border-radius: 50%;
}
nav .box4 .liens {
  font-size: 14px;
  display: block;
  margin: 10px;
  color: rgb(0, 0, 0);
  transition: all 0.5s ease-out;
  padding: 5px 10px;
  border-radius: 10px;
  background-color: #0691dced;
  text-decoration: none;
  color: #ebebeb;
}
nav .box3 {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: auto;
}
nav .box3 a {
  font-size: 14px;
  display: block;
  color: rgb(29, 29, 29);
  transition: all 0.5s ease-out;
  text-decoration: none;
  background-color: #000000;
  padding: 4px 15px;
  border-radius: 10px;
  margin: 4px 0;
}

nav .box3 a:hover {
  background-color: #ffffff;
  color: #002233;
}
nav .box4 .liens:hover {
  background-color: #f39c12;
}
nav .box3 :nth-child(2) {
  color: white;
  background-color: #f39c12;
}
nav .box3 :nth-child(1) {
  color: white;
}

@media screen and (max-width: 1500px) {
  nav #box2 input {
    height: 30px;
    width: 250px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    border: 1px solid rgba(47, 45, 45, 0.332);
    padding: 10px 20px;
    font-size: 14px;
    outline: none;
    transition: all 0.3s;
  }
  nav #box2 form .bo- {
    height: 30px;
    width: 50px;
  }
  nav #box2 form #label img {
    height: 30px;
    width: 30px;
  }
  nav .box4 .infos_users {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    width: auto;
    position: relative;
  }
  nav .box4 .infos_users p {
    margin-left: 5px;
    text-align: center;
    font-size: 15px;
  }
  nav .box4 .infos_users img {
    height: 50px;
    width: 50px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box_info {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 30px 50px;
    background-color: #ffff;
    position: absolute;
    border-radius: 10px;
    border: 1px solid rgba(64, 64, 64, 0.299);
    width: 260px;
  }
  nav .box_info table {
    border-collapse: collapse;
    margin-top: 20px;
    padding: 5px 10px;
  }
  nav .box_info .del {
    position: absolute;
    top: 15px;
    right: 15px;
    height: 25px;
    width: 25px;
    cursor: pointer;
  }
  nav .box_info table th {
    padding: 10px 20px;
    text-align: left;
    width: 90px;
    font-size: 12px;
  }
  nav .box_info table td {
    padding: 10px 20px;
    text-align: left;
    width: 180px;
    min-width: 180px;
    max-width: 180px;
    word-wrap: break-word;
    font-size: 12px;
  }
  nav .box_info a {
    padding: 7px 13px;
    color: #ffff;
    background-color: #1b06dc;
    border-radius: 8px;
    display: block;
    margin-top: 10px;
    text-decoration: none;
  }
  nav .box4 p {
    font-size: 18px;
    margin-right: 10px;
    text-transform: capitalize;
  }
  nav .box4 img {
    height: 80px;
    width: 80px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box_info img {
    height: 60px;
    width: 60px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box4 .liens {
    font-size: 14px;
    display: block;
    margin: 10px;
    transition: all 0.5s ease-out;
    padding: 5px 10px;
    border-radius: 6px;
    text-decoration: none;
  }
}

@media screen and (max-width: 1100px) {
  nav {
    height: 80px;
    margin-top: -1000;
  }
  nav .logo img {
    width: 120px;
    height: 120px;
  }
  nav .box1 a {
    font-size: 12px;
  }

  nav #box2 form .bo- {
    height: 25px;
    width: 40px;
  }
  nav #box2 form #label img {
    height: 25px;
    width: 25px;
  }
  nav .box4 .infos_users {
    position: relative;
  }
  nav .box4 .infos_users p {
    margin-left: 5px;
    text-align: center;
    font-size: 14px;
  }
  nav .box4 .infos_users img {
    height: 60px;
    width: 60px;
  }
  nav .box_info {
    border: 1px solid rgba(64, 64, 64, 0.299);
    width: 260px;
  }
  nav .box_info table {
    border-collapse: collapse;
    margin-top: 20px;
  }
  nav .box_info .del {
    position: absolute;
    top: 15px;
    right: 15px;
    height: 25px;
    width: 25px;
    cursor: pointer;
  }
  nav .box_info table th {
    padding: 10px 20px;
    text-align: left;
    width: 90px;
  }
  nav .box_info table td {
    padding: 10px 20px;
    text-align: left;
    width: 180px;
    min-width: 180px;
    max-width: 180px;
    word-wrap: break-word;
  }
  nav .box_info a {
    padding: 5px 10px;
    border-radius: 7px;
    display: block;
  }
  nav .box4 p {
    font-size: 15px;
  }

  nav .box_info img {
    height: 60px;
    width: 60px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box4 .liens {
    font-size: 14px;
  }
}

@media screen and (max-width: 800px) {
  nav .logo img {
    width: 120px;
    height: 120px;
  }
  nav .box1 a {
    font-size: 11px;
  }
  nav #box2 input {
    height: 25px;
    width: 230px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    border: 1px solid rgba(47, 45, 45, 0.332);
    padding: 10px 20px;
    font-size: 14px;
    outline: none;
    transition: all 0.3s;
  }
  nav #box2 form .bo- {
    height: 25px;
    width: 40px;
  }
  nav #box2 form #label img {
    height: 25px;
    width: 25px;
  }

  nav .box_info {
    border: 1px solid rgba(64, 64, 64, 0.299);
    width: 260px;
  }
  nav .box_info table {
    border-collapse: collapse;
    margin-top: 20px;
  }
  nav .box_info .del {
    position: absolute;
    top: 15px;
    right: 15px;
    height: 25px;
    width: 25px;
    cursor: pointer;
  }
  nav .box_info table th {
    padding: 10px 20px;
    text-align: left;
    width: 90px;
  }
  nav .box_info table td {
    padding: 10px 20px;
    text-align: left;
    width: 180px;
    min-width: 180px;
    max-width: 180px;
    word-wrap: break-word;
  }
  nav .box_info a {
    padding: 5px 10px;
    border-radius: 7px;
    display: block;
  }
  nav .box4 {
    flex-direction: column;
  }

  nav .box4 .infos_users {
    position: relative;
    margin-bottom: -5px;
  }
  nav .box4 .infos_users p {
    margin-left: 5px;
    text-align: center;
    font-size: 14px;
  }
  nav .box4 .infos_users img {
    height: 35px;
    width: 35px;
  }
  nav .box4 p {
    font-size: 15px;
  }

  nav .box_info img {
    height: 60px;
    width: 60px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box4 .liens {
    font-size: 12px;
    padding: 3px 7px;
    border-radius: 5px;
  }
}

@media screen and (max-width: 700px) {
  nav {
    z-index: 20;
    height: 100px;
  }
  nav .logo img {
    width: 80px;
    height: 80px;
    object-fit: cover;
  }
  nav .container-nav .menu {
    /* display: block; */
    height: 35px;
    width: 35px;
    cursor: pointer;
  }

  nav .not .notif {
    width: 25px;
    height: 25px;
    margin: 0 5px;
  }

  nav .container-nav .box1 {
    display: none;
  }

  #navigation {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    background-color: #ffffff;
    padding: 5px 0;
  }
  #navigation a {
    color: #0b0b0b;

    font-weight: 500;
    display: block;
    margin: 10px 5px;
    transition: all 0.3s ease-out;
    padding: 0px 7px;
    font-size: 14.5px;
    text-decoration: none;
    border-right: 1px solid #002233;
  }

  nav .box1 .cacheMenu {
    height: 25px;
    width: 25px;
    display: block;
    cursor: pointer;
  }
  nav .box1 a {
    padding: 3px 20px;
    border-radius: 10px;
    font-size: 12px;
    margin: 20px 0;
    display: block;
    border-bottom: 4px solid #f2f1f1a9;
    background-color: #0d0d0d;
    color: #ffffff;
  }
  nav #box2 {
    display: none;
  }
  nav #box2 input {
    height: 25px;
    width: 180px;
    padding: 5px 10px;
    font-size: 13px;
  }
  nav #box2 form .bo- {
    height: 25px;
    width: 40px;
  }
  nav #box2 form #label img {
    height: 25px;
    width: 25px;
  }

  nav .box_info table {
    border-collapse: collapse;
    margin-top: 20px;
  }
  nav .box_info .del {
    top: 15px;
    right: 15px;
    height: 20px;
    width: 20px;
    cursor: pointer;
  }
  nav .box_info table th {
    padding: 10px 20px;
    text-align: left;
    width: 90px;
    font-size: 11px;
  }
  nav .box_info table td {
    padding: 10px 20px;
    text-align: left;
    width: 180px;
    min-width: 180px;
    max-width: 180px;
    word-wrap: break-word;
    font-size: 11px;
  }
  nav .box_info a {
    padding: 3px 7px;
    border-radius: 7px;
    display: block;
    font-size: 12px;
  }
  nav .box4 {
    flex-direction: column;
  }

  nav .box4 .infos_users {
    position: relative;
    margin-bottom: -5px;
  }
  nav .box4 .infos_users p {
    margin-left: 5px;
    text-align: center;
    font-size: 12px;
  }
  nav .box4 .infos_users img {
    height: 40px;
    width: 40px;
  }
  nav .box4 p {
    font-size: 15px;
  }

  nav .box_info img {
    height: 60px;
    width: 60px;
    object-fit: cover;
    border-radius: 50%;
  }
  nav .box4 .liens {
    font-size: 12px;
    padding: 2px 5px;
    border-radius: 5px;
  }

  nav .box3 a {
    font-size: 13px;
    display: block;
    color: white;
    transition: all 0.5s ease-out;
    text-decoration: none;
    background-color: #000000;
    padding: 5px 7px;
    border-radius: 5px;
    margin: 4px 0;
  }

  nav .box3 a:hover {
    background-color: #ffffff;
    color: #002233;
  }

  nav .box_notif {
    width: 300px;
    padding: 30px 20px;
    border-radius: 10px;
    position: absolute;
    background-color: #f8f8f8;
    border: 1.5px solid #c4c3c3;
    top: -300px;
    right: 15px;
  }
  nav .box_notif .croi {
    position: absolute;
    top: 5px;
    right: 10px;
    width: 20px;
    height: 20px;
    cursor: pointer;
  }
  nav .box_notif a {
    text-decoration: none;
  }
  nav .box_notif .item:hover {
    background-color: #f39d1249;
  }
  nav .box_notif .item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    background-color: #d9d9d9;
    padding: 10px 5px;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s;
  }
  nav .box_notif .item img {
    width: 20px;
    height: 20px;
    margin-right: 15px;
  }
  nav .box_notif .item p {
    font-size: 11px;
  }

  #navigation {
    background-color: #000000;
  }
  #navigation a {
    color: #ffffff;
  }

  #navigation a:hover {
    background-color: #ffffff;
    color: #000000;
    border-radius: 5px;
  }
}
@media screen and (max-width: 600px) {
  nav .logo img {
    width: 90px;
    height: 90px;
  }
  #navigation a {
    font-size: 14px;
    padding: 5px 5px;
  }
}

@media screen and (max-width: 400px) {
  nav {
    width: 100%;
  }
  nav .logo img {
    width: 70px;
    height: 70px;
  }

  #navigation a {
    padding: 2px 5px;
  }
}
@media screen and (max-width: 300px) {
  nav {
    width: 100%;
  }
  #navigation a {
    margin-top: 4px;
  }
}
/* modification de la premiere section */
.section1 {
  height: auto;
  background-color: #000102 !important;
  display: flex;
  align-items: center !important;
  justify-content: center !important;
  width: 100% !important;
  margin-top: 10px !important;
  z-index: 10 !important;
  flex-wrap: wrap !important;
  padding: 5px 0 !important;
}
.section1 span {
  height: 30px;
  width: 30px;
  border-radius: 50%;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  border-style: dotted;
}

.section1 p {
  color: white;
  font-size: 13px;
  margin-left: 10px;
}
.section1 div {
  display: flex !important;
  align-items: center !important;
  margin-right: 15px !important;
  justify-content: center !important;
  flex-wrap: wrap !important;
}

@media screen and (max-width: 1000px) {
  .section1 {
    height: auto;
  }
  .section1 span {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    border-style: dotted;
  }

  .section1 p {
    color: white;
    font-size: 13px;
    margin-left: 10px;
  }
  .section1 div {
    display: flex;
    align-items: center;
    margin-right: 15px;
    justify-content: center;
    flex-wrap: wrap;
  }
}
@media screen and (max-width: 850px) {
  .section1 {
    height: auto;
  }
  .section1 span {
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    border-style: dotted;
  }

  .section1 p {
    color: white;
    font-size: 10px;
    margin-left: 10px;
  }
  .section1 div {
    display: flex;
    align-items: center;
    margin-right: 15px;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
  }
}
@media screen and (max-width: 650px) {
  .section1 {
    height: auto;
    display: none;
  }

  .section1 p {
    font-size: 10px;
  }
  .section1 div {
    flex-direction: column;
  }
}

.erreurs {
  position: absolute;
  top: 130px;
  color: #000000;
  font-size: 16px;
  border: none;
  z-index: -1;
  font-style: italic;
  background-color: #ffffff;
  box-shadow: 18px 18px 4px -11px rgba(0, 0, 0, 0.1);
  display: inline-block;
  padding: 10px;
  width: 300px;
  text-align: left;
  transition: opacity 0.3s ease-in-out;
  opacity: 0;
}
.erreurs span {
  background-color: #f33b0d;
  padding: 7px 9px;
  margin-right: 30px;
}
.erreurs.visible {
  opacity: 1;
  z-index: 5;
}
.message {
  position: absolute;
  top: 130px;
  color: #000000;
  font-size: 16px;
  border: none;
  z-index: -1;
  font-style: italic;
  background-color: #ffffff;
  box-shadow: 18px 18px 4px -11px rgba(0, 0, 0, 0.1);
  display: inline-block;
  padding: 10px;
  width: 300px;
  text-align: left;
  transition: opacity 0.3s ease-in-out;
  opacity: 0;
}
.message span {
  background-color: #28f30d;
  padding: 7px 9px;
  margin-right: 30px;
}
.message.visible {
  opacity: 1;
  z-index: 5;
}
